> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Producer 参考音声アップロード API 連携ガイド

> Producer Music Generation API guide - Ace Data Cloud

Producer では、参考音声をアップロードして二次創作を行うことができます。本ドキュメントでは、関連 API の連携方法について説明します。

この API には入力パラメータが 1 つだけあり、それが `audio_url` です。これは公開アクセス可能な CDN アドレスであり、mp3 拡張子をサポートしています。

ここで入力する `audio_url` は `https://cdn.acedata.cloud/suno_demo.mp3` であり、公開アクセス可能な CDN アドレスです。

```bash theme={null}
curl -X POST 'https://api.acedata.cloud/producer/upload' \
-H 'accept: application/json' \
-H 'authorization: Bearer {token}' \
-H 'content-type: application/json' \
-d '{
  "audio_url": "https://cdn.acedata.cloud/suno_demo.mp3"
}'
```

結果は以下のとおりです：

```
{
  "success": true,
  "task_id": "23e7d4ec-d1a8-429f-87d8-9f53fc3b6666",
  "data": {
    "audio_id": "d906da31-87cb-42f5-98df-2fc4969923b1",
    "lyric": "[Mandopop, Acoustic Pop]\n[Soft female vocals, bright and cheerful]\n\n[Verse 1]\n阳光洒在海边\n浪花笑得灿烂\n你和我在沙滩\n钟表停止转\n冰淇淋在融化\n手牵手去散步\n风儿轻轻吹过\n心跳不停跳\n\n[Chorus]\n夏天夏天\n时间停在这一天\n笑声回荡\n蔚蓝天空在身旁",
    "audio_url": "https://cdn.acedata.cloud/assets/examples/fish/5ade0339-5f11-487e-aacc-06a908271706-8e3fcb0e5547.mp3"
  }
}
```

確認できるように、`data` の `audio_id` フィールドがアップロード後の楽曲 ID です。

楽曲 ID を取得した後は、[Producer Audios Generation API](https://platform.acedata.cloud/documents/producer-audios-integration) を使用してカスタム楽曲生成を行えます。たとえば、`action` に `upload_extend` を渡し、同時に `audio_id` に返された楽曲 ID を渡すと、参考音声に基づいて新しい楽曲を生成できます。


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.